Autoscale Settings - Delete

Deletes and autoscale setting

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Insights/autoscalesettings/{autoscaleSettingName}?api-version=2022-10-01

URI Parameters

Name In Required Type Description
autoscaleSettingName
path True

string

The autoscale setting name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

Resource deleted successfully.

204 No Content

Resource does not exist.

Other Status Codes

AutoscaleErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Delete an autoscale setting

Sample request

DELETE https://management.azure.com/subscriptions/b67f7fec-69fc-4974-9099-a26bd6ffeda3/resourceGroups/TestingMetricsScaleSet/providers/Microsoft.Insights/autoscalesettings/MySetting?api-version=2022-10-01

Sample response

Definitions

Name Description
AutoscaleErrorResponse

Describes the format of Error response.

AutoscaleErrorResponseError

The error object.

createdByType

The type of identity that created the resource.

systemData

Metadata pertaining to creation and last modification of the resource.

AutoscaleErrorResponse

Describes the format of Error response.

Name Type Description
error

AutoscaleErrorResponseError

The error object.

systemData

systemData

The system metadata related to the response.

AutoscaleErrorResponseError

The error object.

Name Type Description
code

string

One of a server-defined set of error codes.

details

string

A human-readable representation of the error's details.

message

string

A human-readable representation of the error.

target

string

The target of the particular error.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.